﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GoRun.aspx.cs" Inherits="getIpToAdT.GoRun" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta content="width=device-width,user-scalable=no" name="viewport" />
    <title>根据IP地址进行百度地图定位</title>  
    <style type="text/css">
        #div_BaiduMap {
            max-width: 460px;
            margin: auto;
            height: 568px;
            border: 5px solid white;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div id="show_html" runat="server" style="color: red; font-weight: bold;"></div>
        <asp:HiddenField ID="hf_X" runat="server" Value="116.404" />
        <asp:HiddenField ID="hf_Y" runat="server" Value="39.915" />
        <div id="div_BaiduMap"></div>

        <script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak=vqzc06ocFQeSRQBXh495M7kE"></script>
        <script type="text/javascript">
            var location_x = document.getElementById("hf_X").value;
            var location_y = document.getElementById("hf_Y").value;
            getBaiduMap(location_x, location_y);

            //通过经纬度显示百度地图
            function getBaiduMap(Longitude, Latitude) {
                var map = new BMap.Map("div_BaiduMap");
                var point = new BMap.Point(Longitude, Latitude);
                map.centerAndZoom(point, 13);
                var marker = new BMap.Marker(point);        // 创建标注    
                map.addOverlay(marker);                     // 将标注添加到地图中  
                marker.setAnimation(BMAP_ANIMATION_BOUNCE); //跳动的动画
                map.addControl(new BMap.NavigationControl());
                map.addControl(new BMap.ScaleControl());
                map.addControl(new BMap.OverviewMapControl());
                map.addControl(new BMap.MapTypeControl());
                map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放
            }
        </script>
    </form>
</body>
</html>
