﻿using getIpToAdT.Control;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace getIpToAdT
{
    public partial class GoRun : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                string theIP = YMethod.GetHostAddress();
                string msg = YMethod.GetInfoByUrl(BaiduApiControl.GetIPAPIUrl(theIP));
                msg = System.Text.RegularExpressions.Regex.Unescape(msg);
                BaiduApiStatus info = JsonConvert.DeserializeObject<BaiduApiStatus>(msg);
                if (info.status.Equals("0"))
                {
                    BaiduApiLocation baiduApiLocation = JsonConvert.DeserializeObject<BaiduApiLocation>(msg);
                    hf_X.Value = baiduApiLocation.content.point.x;
                    hf_Y.Value = baiduApiLocation.content.point.y;
                }
                else if (info.status.Equals("1"))
                {
                    BaiduApiMessage baiduApiMessage = JsonConvert.DeserializeObject<BaiduApiMessage>(msg);
                    show_html.InnerHtml = baiduApiMessage.message;
                }
            }
        }
    }
}